Sube y procesa un archivo
curl --request POST \
--url https://api.firecrawl.dev/v2/parse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'options={
"blockAds": true,
"excludeTags": [
"<string>"
],
"formats": [
"markdown"
],
"headers": {},
"includeTags": [
"<string>"
],
"integration": "<string>",
"onlyMainContent": true,
"origin": "api",
"parsers": [
"pdf"
],
"redactPII": false,
"removeBase64Images": true,
"skipTlsVerification": true,
"timeout": 30000,
"zeroDataRetention": false
}'{
"data": {
"actions": {
"javascriptReturns": [
{
"type": "<string>",
"value": "<unknown>"
}
],
"pdfs": [
"<string>"
],
"scrapes": [
{
"html": "<string>",
"url": "<string>"
}
],
"screenshots": [
"<string>"
]
},
"answer": "<string>",
"audio": "<string>",
"branding": {
"animations": {},
"colors": {
"accent": "<string>",
"background": "<string>",
"error": "<string>",
"link": "<string>",
"primary": "<string>",
"secondary": "<string>",
"success": "<string>",
"textPrimary": "<string>",
"textSecondary": "<string>",
"warning": "<string>"
},
"components": {
"buttonPrimary": {
"background": "<string>",
"borderRadius": "<string>",
"textColor": "<string>"
},
"buttonSecondary": {
"background": "<string>",
"borderColor": "<string>",
"borderRadius": "<string>",
"textColor": "<string>"
},
"input": {}
},
"fonts": [
{
"family": "<string>"
}
],
"icons": {},
"images": {
"favicon": "<string>",
"logo": "<string>",
"ogImage": "<string>"
},
"layout": {},
"logo": "<string>",
"personality": {},
"spacing": {
"baseUnit": 123,
"borderRadius": "<string>",
"margins": {},
"padding": {}
},
"typography": {
"fontFamilies": {
"code": "<string>",
"heading": "<string>",
"primary": "<string>"
},
"fontSizes": {
"body": "<string>",
"h1": "<string>",
"h2": "<string>",
"h3": "<string>"
},
"fontWeights": {
"bold": 123,
"light": 123,
"medium": 123,
"regular": 123
},
"lineHeights": {
"body": "<string>",
"heading": "<string>"
}
}
},
"changeTracking": {
"diff": "<string>",
"json": {},
"previousScrapeAt": "2023-11-07T05:31:56Z"
},
"highlights": "<string>",
"html": "<string>",
"links": [
"<string>"
],
"markdown": "<string>",
"menu": {
"isMenu": true,
"sections": [
{
"items": [
{
"name": "<string>",
"availability": {
"inStock": true,
"text": "<string>"
},
"calories": 123,
"description": "<string>",
"dietary": [
"<string>"
],
"id": "<string>",
"identifiers": {
"merchantItemId": "<string>"
},
"images": [
{
"url": "<string>",
"alt": "<string>"
}
],
"optionGroups": [
{}
],
"price": {
"amount": 123,
"currency": "<string>",
"formatted": "<string>"
},
"sourceUrl": "<string>",
"url": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"id": "<string>"
}
],
"confidence": 123,
"currency": "<string>",
"merchant": {
"name": "<string>",
"type": "<string>"
},
"sourceUrl": "<string>"
},
"metadata": {
"<any other metadata> ": "<string>",
"concurrencyLimited": true,
"concurrencyQueueDurationMs": 123,
"contentType": "<string>",
"description": "<string>",
"error": "<string>",
"keywords": "<string>",
"language": "<string>",
"ogLocaleAlternate": [
"<string>"
],
"sourceURL": "<string>",
"statusCode": 123,
"title": "<string>",
"url": "<string>"
},
"product": {
"title": "<string>",
"url": "<string>",
"variants": [
{
"availability": {
"inStock": true,
"text": "<string>"
},
"id": "<string>",
"images": [
{
"url": "<string>",
"alt": "<string>"
}
],
"price": {
"amount": 123,
"currency": "<string>",
"formatted": "<string>"
},
"sale": {
"originalPrice": {
"amount": 123,
"currency": "<string>",
"formatted": "<string>"
}
},
"sku": "<string>",
"title": "<string>",
"values": {}
}
],
"brand": "<string>",
"category": "<string>",
"description": "<string>"
},
"rawHtml": "<string>",
"screenshot": "<string>",
"summary": "<string>",
"video": "<string>",
"warning": "<string>"
},
"success": true
}Endpoints de procesamiento
Procesar
POST
/
parse
Sube y procesa un archivo
curl --request POST \
--url https://api.firecrawl.dev/v2/parse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'options={
"blockAds": true,
"excludeTags": [
"<string>"
],
"formats": [
"markdown"
],
"headers": {},
"includeTags": [
"<string>"
],
"integration": "<string>",
"onlyMainContent": true,
"origin": "api",
"parsers": [
"pdf"
],
"redactPII": false,
"removeBase64Images": true,
"skipTlsVerification": true,
"timeout": 30000,
"zeroDataRetention": false
}'{
"data": {
"actions": {
"javascriptReturns": [
{
"type": "<string>",
"value": "<unknown>"
}
],
"pdfs": [
"<string>"
],
"scrapes": [
{
"html": "<string>",
"url": "<string>"
}
],
"screenshots": [
"<string>"
]
},
"answer": "<string>",
"audio": "<string>",
"branding": {
"animations": {},
"colors": {
"accent": "<string>",
"background": "<string>",
"error": "<string>",
"link": "<string>",
"primary": "<string>",
"secondary": "<string>",
"success": "<string>",
"textPrimary": "<string>",
"textSecondary": "<string>",
"warning": "<string>"
},
"components": {
"buttonPrimary": {
"background": "<string>",
"borderRadius": "<string>",
"textColor": "<string>"
},
"buttonSecondary": {
"background": "<string>",
"borderColor": "<string>",
"borderRadius": "<string>",
"textColor": "<string>"
},
"input": {}
},
"fonts": [
{
"family": "<string>"
}
],
"icons": {},
"images": {
"favicon": "<string>",
"logo": "<string>",
"ogImage": "<string>"
},
"layout": {},
"logo": "<string>",
"personality": {},
"spacing": {
"baseUnit": 123,
"borderRadius": "<string>",
"margins": {},
"padding": {}
},
"typography": {
"fontFamilies": {
"code": "<string>",
"heading": "<string>",
"primary": "<string>"
},
"fontSizes": {
"body": "<string>",
"h1": "<string>",
"h2": "<string>",
"h3": "<string>"
},
"fontWeights": {
"bold": 123,
"light": 123,
"medium": 123,
"regular": 123
},
"lineHeights": {
"body": "<string>",
"heading": "<string>"
}
}
},
"changeTracking": {
"diff": "<string>",
"json": {},
"previousScrapeAt": "2023-11-07T05:31:56Z"
},
"highlights": "<string>",
"html": "<string>",
"links": [
"<string>"
],
"markdown": "<string>",
"menu": {
"isMenu": true,
"sections": [
{
"items": [
{
"name": "<string>",
"availability": {
"inStock": true,
"text": "<string>"
},
"calories": 123,
"description": "<string>",
"dietary": [
"<string>"
],
"id": "<string>",
"identifiers": {
"merchantItemId": "<string>"
},
"images": [
{
"url": "<string>",
"alt": "<string>"
}
],
"optionGroups": [
{}
],
"price": {
"amount": 123,
"currency": "<string>",
"formatted": "<string>"
},
"sourceUrl": "<string>",
"url": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"id": "<string>"
}
],
"confidence": 123,
"currency": "<string>",
"merchant": {
"name": "<string>",
"type": "<string>"
},
"sourceUrl": "<string>"
},
"metadata": {
"<any other metadata> ": "<string>",
"concurrencyLimited": true,
"concurrencyQueueDurationMs": 123,
"contentType": "<string>",
"description": "<string>",
"error": "<string>",
"keywords": "<string>",
"language": "<string>",
"ogLocaleAlternate": [
"<string>"
],
"sourceURL": "<string>",
"statusCode": 123,
"title": "<string>",
"url": "<string>"
},
"product": {
"title": "<string>",
"url": "<string>",
"variants": [
{
"availability": {
"inStock": true,
"text": "<string>"
},
"id": "<string>",
"images": [
{
"url": "<string>",
"alt": "<string>"
}
],
"price": {
"amount": 123,
"currency": "<string>",
"formatted": "<string>"
},
"sale": {
"originalPrice": {
"amount": 123,
"currency": "<string>",
"formatted": "<string>"
}
},
"sku": "<string>",
"title": "<string>",
"values": {}
}
],
"brand": "<string>",
"category": "<string>",
"description": "<string>"
},
"rawHtml": "<string>",
"screenshot": "<string>",
"summary": "<string>",
"video": "<string>",
"warning": "<string>"
},
"success": true
}Sube un documento local o privado y conviértelo en datos limpios, listos para LLM. Cuándo usar
Usa
/parse acepta los bytes del archivo mediante multipart/form-data y devuelve Markdown, JSON, HTML, enlaces, imágenes o un resumen, conservando el orden de lectura y las tablas.
- Convierte PDF, DOCX, XLSX, HTML y más en Markdown o JSON estructurado
- Procesamiento hasta 5x más rápido con un motor basado en Rust
- Archivos de hasta 50 MB por solicitud
- Compatibilidad con retención de datos cero
Cuándo usar /parse
/parse cuando el documento de origen sea un archivo local o no sea accesible públicamente mediante una URL. Si tienes una URL pública que apunta a un documento, es preferible usar /scrape: detecta automáticamente el tipo de archivo a partir de la extensión o del tipo de contenido y lo procesa de la misma forma.
| Origen | Endpoint |
|---|---|
URL pública de un documento (p. ej. https://example.com/report.pdf) | POST /scrape |
| Archivo local o bytes no públicos (PDF, DOCX, XLSX, HTML, …) | POST /parse (este endpoint) |
¿Usas Firecrawl a través de MCP? Usa
firecrawl_parse para archivos locales. El MCP local puede leer el archivo directamente cuando está configurado con FIRECRAWL_API_URL. El MCP remoto alojado primero devuelve un comando de carga temporal y luego procesa el uploadRef devuelto. Las URL públicas de documentos deben seguir usando /scrape.Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cuerpo
multipart/form-data
⌘I

